Advance Orders

Place Bracket Order

POST
/api/oms/place-order/bo

to place the bracket order

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Request Body

application/x-www-form-urlencoded

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/oms/place-order/bo" \  -H "Authorization: Bearer <api Key>:<access token>" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'symId=EQT_RELIANCE_EQ_NSE&qty=1&side=buy&type=limit&stopTrigPrice=100&targetPrice=100'
{
  "s": "ok",
  "d": {
    "msg": "Order Placed Successfully",
    "orderId": "210115000000001"
  }
}
{
  "s": "error",
  "msg": "Input validation failed. Kindly check your input contains required fields for the request"
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}